[分享]firefox问题,关于打开后自动关闭......以及flash插件问题,带解决方案

上网、浏览、聊天、下载等
回复
头像
tiancaiamao
帖子: 149
注册时间: 2007-11-06 22:58
来自: 武汉
送出感谢: 0
接收感谢: 0
联系:

[分享]firefox问题,关于打开后自动关闭......以及flash插件问题,带解决方案

#1

帖子 tiancaiamao » 2007-12-09 12:43

我的firefox出问题了,具体表现在,打开后一闪自己关了.......
事情是这样的,本来我用的好好的,然后我去改一下字体:编辑->首先项->内容->字体改为文泉驿
就在这时firefox就无响应了,我强制退出(结束进程),再开firefox时就打开后自动关闭了

在终端输入: firefox 回车
如下错误:Floating point exception (core dumped)

再输 tail -10 .xsession-errors
genius@genius-desktop:~$ tail -10 .xsession-errors
(yelp:9931): atk-bridge-WARNING **: IOR not set.

(yelp:9931): atk-bridge-WARNING **: Could not locate registry
Floating point exception (core dumped)
/usr/lib/python2.5/site-packages/apt/__init__.py:18: FutureWarning: apt API not stable yet
warnings.warn("apt API not stable yet", FutureWarning)

** (gnome-app-install:10816): WARNING **: return value of custom widget handler was not a GtkWidget
/usr/lib/python2.5/site-packages/AppInstall/AppInstall.py:1261: GtkWarning: gtk_tree_model_sort_sort: assertion `tree_model_sort->default_sort_func != NULL' failed
item.applications.set_default_sort_func(None)
genius@genius-desktop:~$
偶然发现,在这种情况下点 帮助(桌面最上面哪个,系统帮助)->免费支持->可以打开firefox并自动到这个网站:http://www.ubuntu.com/support/communitysupport
这样,暂时能进入firefox了


我思考出问题的原因后想是不是文泉驿字体和firefox有冲突之类的,就输入 about:config ,将字体改为默认,关掉firefox后再进去,竟奇迹般的好了
但问题还没完,浏览普通网页好像是没什么问题,但打开带有flash的网页就发现说缺失插件,点安装插什后又有提示说flshplugin-nonfree 已安装,这个问题至今没有解决............................

小弟不才,不知道有没人遇到过同样的问题,有类似情况的出来讨论一下,也希望有高手出来指点一下,当出现这种问题时怎么解决

ps:系统是7.10的,Firefox/2.0.0.11
附上贴图二张:
附件
Screenshot-迅雷在线 - Mozilla Firefox.png
Screenshot.png
上次由 tiancaiamao 在 2007-12-10 22:15,总共编辑 2 次。
FangQ
帖子: 240
注册时间: 2006-03-05 13:50
送出感谢: 0
接收感谢: 0

#2

帖子 FangQ » 2007-12-09 13:08

http://forum.ubuntu.com.cn/viewtopic.ph ... sc&start=0
强制降级libcairo2

代码: 全选

 sudo apt-get install libcairo2=1.4.10-1ubuntu4
头像
fantasy027
帖子: 73
注册时间: 2007-11-17 13:21
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 fantasy027 » 2007-12-09 19:02

This bug is fixed, try to download the new package or wait the update.

http://fr.archive.ubuntu.com/ubuntu/poo ... 2_i386.deb
头像
fantasy027
帖子: 73
注册时间: 2007-11-17 13:21
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 fantasy027 » 2007-12-09 19:07

事情是这样的,本来我用的好好的,然后我去改一下字体:编辑->首先项->内容->字体改为文泉驿
就在这时firefox就无响应了,我强制退出(结束进程),再开firefox时就打开后自动关闭了
the same with you,How to solve it?
头像
tiancaiamao
帖子: 149
注册时间: 2007-11-06 22:58
来自: 武汉
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 tiancaiamao » 2007-12-09 22:33

经过研究,这其中好像是有两个问题:
1 firefox打开后关闭的问题
2 firefox的flash插件问题

下面来分别对这两个问题讨论................这分别是两个对应的 bug
问题 1
见这个贴,强制降级libcairo2 好可以使firefox能够不再打开后关闭
但我也发现不降级libcairo2,只要firefox不用文驿泉的字体(用默认字体),也是可以用的
出问题的大概都用了文泉驿的点阵字体,换了别的字体就正常了,不过别的字体真是看着很不舒服!
这是在升级libcairo2出问题的哪个贴子上看到了,本人实践,成立!!
这一个bug好像也看rp的,表现也不全一样,但有一点是有些软件打开后自己关闭
ps:事实上,使用文驿泉字体后,网页打开的速度比默认字体要慢,是选速度还是要界面,自己看着办

问题2
这是bug的描述,关于flashplugin-nonfree不能安装的,好像是md5不匹配的问题,导致不能二次安装
这个贴子了也提到了
viewtopic.php?p=551695&sid=c46bf8cb68c5 ... 78c513c76c

至于解决方案,还在寻找,回fantasy027:
文章时间: 2007-12-09 周日, 19:02 标题:
引用:
This bug is fixed, try to download the new package or wait the update.

http://fr.archive.ubuntu.com/ubuntu/poo ... 2_i386.deb
这个是i386的,我的电脑是amd3600+,没找到对应东西

I am going to try building the source package on Gutsy 64-bit. It should work, as the package created from the debdiff I made compiled.

Matt- this bug is marked as "Fix Released" because the source package has been uploaded to Hardy (not Gutsy 7.10). The 32-bit package has been built on the Hardy repository, but the 64-bit package has not yet been built. For Gutsy, the bug has been marked as Confirmed, because the source package has still not been uploaded to a Gutsy repository. Read the comment I wrote before on December 6th requesting that the source package be uploaded to a Gutsy 7.10 repository.

If you want an immediate fix, then just download this package (32-bit only) and install it (it is identical to the current package in Hardy): http://launchpadlibrarian.net/10761023/ ... 2_i386.deb

Alternatively, you can build a binary package from this source package (this is currently necessary if you have 64-bit): http://bugs.launchpad.net/ubuntu/+sourc ... 5.0ubuntu2
这是在这个bug解决上找到的,说Gutsy上这个bug还在处理中,我想先==吧,希望快点有更新出来,我会一直关注,若是有高手找到这个的解决,不要吝惜告诉我啊......
头像
tiancaiamao
帖子: 149
注册时间: 2007-11-06 22:58
来自: 武汉
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 tiancaiamao » 2007-12-09 22:39

fantasy027 写了:
事情是这样的,本来我用的好好的,然后我去改一下字体:编辑->首先项->内容->字体改为文泉驿
就在这时firefox就无响应了,我强制退出(结束进程),再开firefox时就打开后自动关闭了
the same with you,How to solve it?
要么不要用文驿泉字体,方法是
帮助(桌面最上面哪个,系统帮助)->免费支持->可以打开firefox并自动到这个网站:http://www.ubuntu.com/support/communitysupport
这样,暂时能进入firefox了
进去后把字体改回来
要么降级libcairo2 ,方法是
sudo apt-get install libcairo2=1.4.10-1ubuntu4
头像
fantasy027
帖子: 73
注册时间: 2007-11-17 13:21
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 fantasy027 » 2007-12-09 23:50

恩,我不用文泉驿了,系统变的好慢。
flah就用bug报告的方法,下那个插件安装就可以了

我的CPU是AMD 4000+的 没事 你也可以用
头像
tiancaiamao
帖子: 149
注册时间: 2007-11-06 22:58
来自: 武汉
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 tiancaiamao » 2007-12-10 12:11

回楼上:不行
对了,之前写错了,我是4000+ 的
附件
Screenshot.png
头像
tiancaiamao
帖子: 149
注册时间: 2007-11-06 22:58
来自: 武汉
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 tiancaiamao » 2007-12-10 12:59

回复

回到 “因特网相关软件”